Package bitel.billing.server.contract.bean

# Class ContractBalanceUtils.WebBalanceData

java.lang.Object
bitel.billing.server.contract.bean.ContractBalanceUtils.WebBalanceData

Enclosing class:
  `ContractBalanceUtils`

public static class ContractBalanceUtils.WebBalanceData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebBalanceData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String[]>`
  `getAccountList()`
  `List<Charge>`
  `getChargeList()`
  `Map<Integer,ChargeType>`
  `getChargeTypeMap()`
  `Contract`
  `getContract()`
  `ru.bitel.bgbilling.kernel.event.events.system.ContractWebMessagesEvent`
  `getEvent()`
  `List<Contract>`
  `getIndependentSubContracts()`
  `int`
  `getMonth()`
  `List<Payment>`
  `getPaymentList()`
  `Map<Integer,PaymentType>`
  `getPaymentTypeMap()`
  `BigDecimal`
  `getReserve()`
  `List<Reserve>`
  `getReserveList()`
  `Map<Integer,ReserveType>`
  `getReserveTypeMap()`
  `BigDecimal`
  `getSumma1()`
  `BigDecimal`
  `getSumma2()`
  `BigDecimal`
  `getSumma3()`
  `BigDecimal`
  `getSumma4()`
  `BigDecimal`
  `getSumma5()`
  `int`
  `getYear()`
  `void`
  `setAccountList(List<String[]> accountList)`
  `void`
  `setChargeList(List<Charge> chargeList)`
  `void`
  `setChargeTypeMap(Map<Integer,ChargeType> chargeTypeMap)`
  `void`
  `setContract(Contract contract)`
  `void`
  `setEvent(ru.bitel.bgbilling.kernel.event.events.system.ContractWebMessagesEvent event)`
  `void`
  `setIndependentSubContracts(List<Contract> independentSubContracts)`
  `void`
  `setMonth(int month)`
  `void`
  `setPaymentList(List<Payment> paymentList)`
  `void`
  `setPaymentTypeMap(Map<Integer,PaymentType> paymentTypeMap)`
  `void`
  `setReserve(BigDecimal reserve)`
  `void`
  `setReserveList(List<Reserve> reserveList)`
  `void`
  `setReserveTypeMap(Map<Integer,ReserveType> reserveTypeMap)`
  `void`
  `setSumma1(BigDecimal summa1)`
  `void`
  `setSumma2(BigDecimal summa2)`
  `void`
  `setSumma3(BigDecimal summa3)`
  `void`
  `setSumma4(BigDecimal summa4)`
  `void`
  `setYear(int year)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WebBalanceData

    public WebBalanceData()

- ## Method Details

  - ### getMonth

    public int getMonth()

  - ### setMonth

    public void setMonth(int month)

  - ### getYear

    public int getYear()

  - ### setYear

    public void setYear(int year)

  - ### getSumma1

    public BigDecimal getSumma1()

  - ### setSumma1

    public void setSumma1(BigDecimal summa1)

  - ### getSumma2

    public BigDecimal getSumma2()

  - ### setSumma2

    public void setSumma2(BigDecimal summa2)

  - ### getSumma3

    public BigDecimal getSumma3()

  - ### setSumma3

    public void setSumma3(BigDecimal summa3)

  - ### getSumma4

    public BigDecimal getSumma4()

  - ### setSumma4

    public void setSumma4(BigDecimal summa4)

  - ### getReserve

    public BigDecimal getReserve()

  - ### setReserve

    public void setReserve(BigDecimal reserve)

  - ### getSumma5

    public BigDecimal getSumma5()

  - ### getContract

    public Contract getContract()

  - ### setContract

    public void setContract(Contract contract)

  - ### getIndependentSubContracts

    public List<Contract> getIndependentSubContracts()

  - ### setIndependentSubContracts

    public void setIndependentSubContracts(List<Contract> independentSubContracts)

  - ### getPaymentList

    public List<Payment> getPaymentList()

  - ### setPaymentList

    public void setPaymentList(List<Payment> paymentList)

  - ### getPaymentTypeMap

    public Map<Integer,PaymentType> getPaymentTypeMap()

  - ### setPaymentTypeMap

    public void setPaymentTypeMap(Map<Integer,PaymentType> paymentTypeMap)

  - ### getChargeList

    public List<Charge> getChargeList()

  - ### setChargeList

    public void setChargeList(List<Charge> chargeList)

  - ### getChargeTypeMap

    public Map<Integer,ChargeType> getChargeTypeMap()

  - ### setChargeTypeMap

    public void setChargeTypeMap(Map<Integer,ChargeType> chargeTypeMap)

  - ### getReserveList

    public List<Reserve> getReserveList()

  - ### setReserveList

    public void setReserveList(List<Reserve> reserveList)

  - ### getReserveTypeMap

    public Map<Integer,ReserveType> getReserveTypeMap()

  - ### setReserveTypeMap

    public void setReserveTypeMap(Map<Integer,ReserveType> reserveTypeMap)

  - ### getAccountList

    public List<String[]> getAccountList()

  - ### setAccountList

    public void setAccountList(List<String[]> accountList)

  - ### getEvent

    public ru.bitel.bgbilling.kernel.event.events.system.ContractWebMessagesEvent getEvent()

  - ### setEvent

    public void setEvent(ru.bitel.bgbilling.kernel.event.events.system.ContractWebMessagesEvent event)